// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <sstream>
#include <vector>
#include <cstdio>
#include <psp2/kernel/processmgr.h>

/**
 * Main entry function received by parent Win32 Operating System.
 * 
 * @param argc Count of arguments passed to the program.
 * @param args Array of strings provided to the program.
 * @return 0 for success, else for any issue/error.
 */
int main(int argc, char **args);